Package org.lwjgl.opengl

# Class XRandR.Screen

java.lang.Object
org.lwjgl.opengl.XRandR.Screen

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  `XRandR`

public static class XRandR.Screen extends Object implements Cloneable
Encapsulates the configuration of a monitor. Resolution and freq are fixed, position is mutable

Author:
  ryanm

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`freq`
Frequency in Hz
`final int`
`height`
Height in pixels
`final String`
`name`
Name for this output
`final int`
`width`
Width in pixels
`int`
`xPos`
Position on the x-axis, in pixels
`int`
`yPos`
Position on the y-axis, in pixels

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### name

public final String name
Name for this output

### width

public final int width
Width in pixels

### height

public final int height
Height in pixels

### freq

public final int freq
Frequency in Hz

### xPos

public int xPos
Position on the x-axis, in pixels

### yPos

public int yPos
Position on the y-axis, in pixels

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`